FC_VPORT_TERMINATE(9)

NAME
fc_vport_terminate - Admin App or LLDD requests termination of a vport

SYNOPSIS

int fc_vport_terminate(struct fc_vport * vport);

ARGUMENTS

vport
    fc_vport to be terminated

DESCRIPTION

Calls the LLDD vport_delete function, then deallocates and removes the vport from the shost and object tree.

NOTES

This routine assumes no locks are held on entry.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT